Bug 251143 - mail/sympa does not detect correct path of postmap
Summary: mail/sympa does not detect correct path of postmap
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-14 21:26 UTC by Matthias Fechner
Modified: 2020-11-26 08:12 UTC (History)
1 user (show)

See Also:
dgeo: maintainer-feedback+


Attachments
Add postfix as build dep to successfully detect path (583 bytes, patch)
2020-11-14 21:26 UTC, Matthias Fechner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2020-11-14 21:26:18 UTC
Created attachment 219692 [details]
Add postfix as build dep to successfully detect path

While creating a package of sympa the configure script searches for the path of postmap and if it is not found, it falls back to standard path /usr/sbin/postmap

As the correct path is required, that postfix integration will not work like it is described here:
https://sympa-community.github.io/manual/install/configure-mail-server-postfix.html

adding postfix as a build dependency ensures that the correct path for postmap is detected and the file /usr/local/libexec/sympa/sympa_newaliases.pl will have the correct path.
Comment 1 geoffroy desvernay 2020-11-25 15:28:30 UTC
Good catch, thank you
Comment 2 commit-hook freebsd_committer 2020-11-26 08:11:56 UTC
A commit references this bug:

Author: mfechner
Date: Thu Nov 26 08:11:24 UTC 2020
New revision: 556321
URL: https://svnweb.freebsd.org/changeset/ports/556321

Log:
  Add postfix as build dependency.
  While creating a package of sympa the configure script searches for the path of postmap and if it is not found, it falls back to standard path /usr/sbin/postmap

  As the correct path is required, that postfix integration will not work like it is described here:
  https://sympa-community.github.io/manual/install/configure-mail-server-postfix.html

  adding postfix as a build dependency ensures that the correct path for postmap is detected and the file /usr/local/libexec/sympa/sympa_newaliases.pl will have the correct path.

  PR:		251143
  Approved by:	dgeo@centrale-marseille.fr (maintainer)

Changes:
  head/mail/sympa/Makefile
Comment 3 Matthias Fechner freebsd_committer 2020-11-26 08:12:20 UTC
Committed, thanks.